_Version = '1.0.8'
_Lua_Social_Module_id = '100001'
-- _RootRoute = 'assets://yz_super_lua/Module/social-lua/' -- android asset 测试使用
-- _ImageRootRoute = 'assets://yz_super_lua/Module/social-lua/' -- android asset 测试使用


_RootRoute = 'file://yz_lua_sdk/Module/'.._Lua_Social_Module_id..'/'.._Version..'/' -- 正式
_ImageRootRoute = 'file://yz_lua_sdk/Module/'.._Lua_Social_Module_id..'/'.._Version..'/' -- 正式

NavigatorRoute = {
    SearchViewRoute = _RootRoute .. 'intro/SearchView.lua',
    IntroDetailViewRoute = _RootRoute .. 'intro/IntroDetailView.lua',
    MasterDetailViewRoute = _RootRoute .. 'master/MasterDetail.lua',
    AmwayImageDetailRoute = _RootRoute .. 'amway/AmwayImageDetail.lua',
    WebViewRoute = _RootRoute .. 'common/WebView.lua',
    MineLikeDetailRoute = _RootRoute .. 'mine/MineLikeDetail.lua',
}

ColorConstants = {
    White = Color(255, 255, 255, 1),
    TabBarLabelSelect = Color(221,221,221,1),
    TabBarLabelNormal = Color(113,98,86,1),
    TextColorTheme = Color(186,155,113,1),
    IntroToolBarTitlleSelected = Color(255,248,222,1),
    IntroToolBarTitlleNormal = Color(177,162,138,1),
    IntroCellBackColor = Color(66,66,66,0.43)
}

-- lua2native key
GlobalCallbackKeyConstants = {
    Baike = 'BaikeCallback',
}

HttpContants = {
    --正式环境
    Root = 'https://microcommunity.youzu.com',
    
    --qa环境
    -- Root = 'http://qamicrocommunity.youzu.com/',
    
    --获取指定版面的攻略文章包含排序
    Http_Page_Strategy = '/api/wsq/page-strategy',
    
    --获取大神模块内容
    Http_Master_Module = '/api/wsq/god-module',

    --获取大神模块大神专栏分页
    Http_Master_Module_List = '/api/wsq/god-column',

    --大神专访换一换
    Http_Master_Change = '/api/wsq/god-change',

    --获取单个文章详情
    Http_Article_Detail = '/api/wsq/article-detail',

    --搜索
    Http_Article_Search = '/api/wsq/search-strategy',

    --点赞
    Http_Article_Like = '/api/wsq/article-like',

    --获取大神主页
    Http_Master_User = '/api/wsq/god-home',

    --获取安利顶部结构-二期
    Http_Amway_Module = '/api/wsq/amway-module',


    --获取我的点赞总数-二期
    Http_Mine_Like = '/api/wsq/like-num',

    --获取我的点赞记录-二期
    Http_Mine_Like_Record = '/api/wsq/like-record'
}